package com.sifang.modules.customer.form;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.sifang.modules.customer.entity.ComposePlan;

import javax.persistence.OneToMany;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

public class SurveyEntryReq {

    private String id;

    private String userId;

    /**
     * 项目id
     */
    private String projectId;

    /**
     * 产品名称
     */
    private String projectName;

    /**
     * 产品编号
     */
    private String projectCode;

    /**
     * 代理商id
     */
    private String distributorId;

    /**
     * 代理商名称
     */
    private String traderName;

    /**
     * 代理商电话
     */
    private String traderTel;

    /**
     * 省
     */
    private String province;

    /**
     * 市
     */
    private String city;

    /**
     * 区县
     */
    private String area;

    /**
     * 详细地址
     */
    private String address;

    private String street;

    /**
     * 经度
     */
    private BigDecimal longitude;

    /**
     * 纬度
     */
    private BigDecimal latitude;

    /**
     * 房屋类型
     */
    private String roofType;

    /**
     * 角度朝向
     */
    private String angle;

    /**
     * 方位角：1.正南 2.南偏东 3.南偏西
     */
    private String azimuth;

    /**
     * 建筑高度
     */
    private BigDecimal buildingHeight;

    /**
     * 还款方式：1.二类卡 2.光E宝
     */
    private String repaymentMethod;

    /**
     * 估算并网距离
     */
    private BigDecimal distance;

    /**
     * 航拍图
     */
    private String flyImgs;

    /**
     * 屋顶照片1
     */
    private String roofPhotoOne;

    /**
     * 屋顶照片2
     */
    private String roofPhotoTwo;

    /**
     * 房屋照片3
     */
    private String roofPhotoThree;

    /**
     * 房屋照片4
     */
    private String roofPhotoFour;

    /**
     * 房屋照片5
     */
    private String roofPhotoFive;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 房产证
     */
    private String houseOwnership;

    private String encryptionIdCard;

    /**
     * 状态 0.暂存 1.待审核 2.审核不通过 3.待下单 4.待收货 5.待安装 6.待并网 7.待验收 8.待交付 9.待归档 10.验收驳回 11.归档驳回 a.已完成 b.已删除 c.待上传发票 d.待签署合同
     */
    private String status;


    private String toExamineStatus;

    /**
     * 进件申请状态  0.暂存 1.未申请 2.待进件审核 3.进件审核不通过  NW:未审批;AP:审批中;RJ:拒绝;QY:签约;PR:审批通过;LS-已完成放款;LF-放款失败;
     */
    private String applyStatus;

    /**
     * 设计方案 1.标准方案  2.组合方案
     */
    private String schemeType;

    /**
     * 方案类型id
     */
    private String schemeTypeId;

    /**
     * 方案类型名称
     */
    private String schemeTypeName;

    /**
     * 方案id
     */
    private String schemeId;

    /**
     * 方案名称
     */
    private String schemeName;

    /**
     * 设计图纸
     */
    private String designDrawings;

    /**
     * 设计图纸名称
     */
    private String designDrawingsName;

    /**
     * 验收报告id
     */
    private String receivingReportId;

    /**
     * 组件规格
     */
    private String componentSpec;

    /**
     * 设计容量
     */
    private Integer designCapacity;

    /**
     * 实际容量
     */
    private BigDecimal actualCapacity;

    private String insuranceFlag;//保险购买情况:1.控制投放及续保 2.控制投放 3.其他
    @JsonFormat(pattern="yyyy-MM-dd")
    private Date leaseDate;//预计投放日

    /**
     * 方案备注
     */
    private String schemeRemarks;

    private String provinceCode;

    /**
     * 合作商id
     */
    private String partnerId;

    /**
     * 合作商名称
     */
    private String partnerName;

    /**
     * 资方类型 1.越秀 2.浙江浙银金融租赁股份有限公司 3.中信
     */
    private String managementType;

    /**
     * 预审状态 1.待预审 2.预审中 3.预审不通过 4.预审通过
     */
    private String credit;

    /**
     * 信息使用授权状态：1.未授权 2.已发起 3.已授权
     */
    private String authorization;

    /**
     * 征信结果备注原因（不通过原因）
     */
    private String creditDsc;

    /**
     * 第一次进件状态(NEW-待审批、APPROVING - 审批中、APPROVED - 审批通过、REJECTED - 审批拒绝、CLOSED - 取消、APPROVED_RETURN - 退回、CANCEL - 撤回)
     */
    private String firstApplyStatus;

    /**
     * 第二次进件状态(NEW-待审批、APPROVING-审批中、APPROVED-审批通过、REJECTED-审批拒绝、CANCEL - 撤回、WAITING-等待推送/补充并网及投放信息)
     */
    private String nextApplyStatus;

    /**
     * 进件退回、驳回原因
     */
    private String applyBackReason;

    private String regionId;

    private BigDecimal epcPrice;//EPC单价/ 每W定价

    private String projectCompanyId;//项目公司id

    private String projectCompanyName;//项目公司名称

    private String productLineId;//产品线id

    private String productLineName;//产品线名称

    private String productLine;//业务属性 1.纯租25年业务、2.经营性租赁、3.融资租赁、4.光伏贷、5.全款、6.其他

    private String payCycle;//租金支付周期 1按月支付 2按季支付 3按年支付


    private String signStatus; // 合同签署状态：0.未邀请 1.待农户签约 2.待公司签约 3.已完成

    private String sn;// sn码序列号(多个用逗号拼接)

    private String nbqSn;//逆变器sn码

    private BigDecimal etd;//当期新增发电量

    private BigDecimal eto;//累计发电量

    private BigDecimal etdc;//当期新增发电收入

    private BigDecimal etoc;//累计发电收入

    private String warehouseId;

    private String gdtRemarks;

    private String roofPhotoFacade;

    private String roofPhotoInterior;

    private String gender;//性别:MALE:男 FEMALE:女 UNKNOW:未知
    private Integer age;//年龄


    private String filingType;//备案类型:1.农户备案 2.项目公司备案

    private String createTraderId;
    private String createTraderName;

    // 房屋其他障碍物照片（0-4张）
    private String houseSupplementOne;
    // 逆变器、配电箱预安装位置照片(1张)
    private String detailSupplementOne;

    /*
    设计审核状态：1.待踏勘 2.待自审 3.自审驳回 4.自审通过 5.设计审核驳回 6.档案审核驳回 7.已完成
     */
    private String designAuditFlag;
    /**
     * 安装状态：0.未开始 1.待派工 2.待安装 3.自审驳回 4.安装完成
     */
    private String installFlag;
    /**
     * 安装验收状态：0.未开始 1.待自审 2.自审通过 3.验收驳回 4.验收通过
     */
    private String checkAcceptFlag;
    /**
     * 并网验收状态：0.未开始 1.待并网验收 2.并网验收驳回 3.资方审核中 4.资方审核通过
     */
    private String mergeFlag;

    private String onGridFlag;

    /**
     * 租户分类: 1.个人 2.单位
     */
    private String tenantType;

    /**
     * 法人/组织负责人姓名，当前承租人为法人时要求必填
     */
    private String corp;

    /**
     * 法人登记注册号码
     */
    private String regno;

    /**
     * 营业执照
     */
    private String regnoUrl;

    /**
     * 并网电压等级
     */
    private BigDecimal voltageClasses;

    /**
     * 变压器容量
     */
    private BigDecimal transformerCapacity;

    /**
     * 是否符合变压器容量限制要求:1.符合 2.不符合
     */
    private String restrictFlag;

    /**
     * 是否封屋顶:1.是 2.否
     */
    private String sealRoof;

    /**
     * 房屋建成年份
     */
    private String completionYear;

    /**
     * 组件倾角
     */
    private BigDecimal dipAngle;

    /**
     * 屋面坡度
     */
    private BigDecimal slopeGradient;

    /**
     * 檩条间距
     */
    private BigDecimal purlineInterval;

    /**
     * 屋顶防水情况：1.一般 2.良好
     */
    private String waterproof;

    /**
     * 是否有污染源：1.有 2.没有
     */
    private String sourcePollution;

    /**
     * 是否具备运维空间：1.具备 2.不具备
     */
    private String opsCondition;

    public String getOnGridFlag() {
        return onGridFlag;
    }

    public void setOnGridFlag(String onGridFlag) {
        this.onGridFlag = onGridFlag;
    }

    @OneToMany(targetEntity = ComposePlan.class)
    private List<ComposePlan> composePlanLists;

    private String type;//0:暂存 1:提交 3:初勘

    /**
     * 勘测记录表
     */
    private String dzImgs;

    /**
     * 踏勘补充证明视频文件url
     */
    private String surveyVideo;

    // 踏勘记录表文件
    private String surveyFiles;

    /**
     * 代理商id
     */
    private String traderId;

    private String zfId;

    private String company;

    //屋顶面积
    private BigDecimal  roofArea;
    //东西长
    private BigDecimal ewLength;
    //南北宽
    private BigDecimal nsWide;
    //房屋整体图（VR全景）
    private String vrRoofOne;
    //房屋整体俯视图（VR）
    private String vrRoofTwo;
    //房屋内部结构图（VR）
    private String vrRoofThree;
    //入户全景照片(VR)
    private String vrRoofFour;
    private String zjpbImg;//组件排布图
    private String zjzxImg;//组件接线图
    private String zjcsImg;//组件支架图
    private String zjhsImg;//一次接线图/电气图
    // 电器组件
    private List<CustomerEntryComponentVo> itemList;
    /**
     * 出生日期
     */
    private Date birthdayDate;

    /**
     * 身份证生效日
     */
    private Date icValidityBegin;

    /**
     * 身份证到期日
     */
    private Date icValidityEnd;

    //房屋轮廓照片
    private String houseOutlinePhoto;

    //房屋整体图
    private String fwImg1;
    //房屋内部结构图
    private String fwImg2;
    //房屋屋顶东南侧图片
    private String fwImg3;
    //房屋屋顶西南侧图片
    private String fwImg4;
    //遮阴物与房屋距离、高度
    private String fwImg5;


    private String mergeType;

    private Integer boxTotalCount;

    private String boxGroupId;

    private List<AddEntryReqSurveyDetail> addEntryReqSurveyDetails;
    private List<ProjectInfoVo> projectList;
    private List<AddEntryReqDesignDetail> addEntryReqDesignDetails;


    //屋面板厚度(单位 毫米/mm)
    private String roofFaceThickness;

    //结构类型(框架结构、砖木结构、砖混结构、框剪结构、其它)
    private String structureType;

    //场地坡度
    private String siteSlope;

    //地面类型(水泥硬化、砂石、土壤、其它)
    private String groundType;

    //地质情况
    private String geologicalCondition;

    //围墙高度(单位 米/m)
    private String fenceHeight;
    private String windPressure;
    private String snowPressure;
    private String pressureLevel;

    public String getWindPressure() {
        return windPressure;
    }

    public void setWindPressure(String windPressure) {
        this.windPressure = windPressure;
    }

    public String getSnowPressure() {
        return snowPressure;
    }

    public void setSnowPressure(String snowPressure) {
        this.snowPressure = snowPressure;
    }

    public String getPressureLevel() {
        return pressureLevel;
    }

    public void setPressureLevel(String pressureLevel) {
        this.pressureLevel = pressureLevel;
    }

    public String getRoofFaceThickness() {
        return roofFaceThickness;
    }

    public void setRoofFaceThickness(String roofFaceThickness) {
        this.roofFaceThickness = roofFaceThickness;
    }

    public String getStructureType() {
        return structureType;
    }

    public void setStructureType(String structureType) {
        this.structureType = structureType;
    }

    public String getSiteSlope() {
        return siteSlope;
    }

    public void setSiteSlope(String siteSlope) {
        this.siteSlope = siteSlope;
    }

    public String getGroundType() {
        return groundType;
    }

    public void setGroundType(String groundType) {
        this.groundType = groundType;
    }

    public String getGeologicalCondition() {
        return geologicalCondition;
    }

    public void setGeologicalCondition(String geologicalCondition) {
        this.geologicalCondition = geologicalCondition;
    }

    public String getFenceHeight() {
        return fenceHeight;
    }

    public void setFenceHeight(String fenceHeight) {
        this.fenceHeight = fenceHeight;
    }

    public List<ProjectInfoVo> getProjectList() {
        return projectList;
    }

    public void setProjectList(List<ProjectInfoVo> projectList) {
        this.projectList = projectList;
    }

    public List<AddEntryReqSurveyDetail> getAddEntryReqSurveyDetails() {
        return addEntryReqSurveyDetails;
    }

    public void setAddEntryReqSurveyDetails(List<AddEntryReqSurveyDetail> addEntryReqSurveyDetails) {
        this.addEntryReqSurveyDetails = addEntryReqSurveyDetails;
    }

    public List<AddEntryReqDesignDetail> getAddEntryReqDesignDetails() {
        return addEntryReqDesignDetails;
    }

    public void setAddEntryReqDesignDetails(List<AddEntryReqDesignDetail> addEntryReqDesignDetails) {
        this.addEntryReqDesignDetails = addEntryReqDesignDetails;
    }

    public String getMergeType() {
        return mergeType;
    }

    public void setMergeType(String mergeType) {
        this.mergeType = mergeType;
    }

    public Integer getBoxTotalCount() {
        return boxTotalCount;
    }

    public void setBoxTotalCount(Integer boxTotalCount) {
        this.boxTotalCount = boxTotalCount;
    }

    public String getBoxGroupId() {
        return boxGroupId;
    }

    public void setBoxGroupId(String boxGroupId) {
        this.boxGroupId = boxGroupId;
    }

    public String getFwImg1() {
        return fwImg1;
    }

    public void setFwImg1(String fwImg1) {
        this.fwImg1 = fwImg1;
    }

    public String getFwImg2() {
        return fwImg2;
    }

    public void setFwImg2(String fwImg2) {
        this.fwImg2 = fwImg2;
    }

    public String getFwImg3() {
        return fwImg3;
    }

    public void setFwImg3(String fwImg3) {
        this.fwImg3 = fwImg3;
    }

    public String getFwImg4() {
        return fwImg4;
    }

    public void setFwImg4(String fwImg4) {
        this.fwImg4 = fwImg4;
    }

    public String getFwImg5() {
        return fwImg5;
    }

    public void setFwImg5(String fwImg5) {
        this.fwImg5 = fwImg5;
    }

    public String getZjpbImg() {
        return zjpbImg;
    }

    public void setZjpbImg(String zjpbImg) {
        this.zjpbImg = zjpbImg;
    }

    public String getZjzxImg() {
        return zjzxImg;
    }

    public void setZjzxImg(String zjzxImg) {
        this.zjzxImg = zjzxImg;
    }

    public String getZjcsImg() {
        return zjcsImg;
    }

    public void setZjcsImg(String zjcsImg) {
        this.zjcsImg = zjcsImg;
    }

    public String getZjhsImg() {
        return zjhsImg;
    }

    public void setZjhsImg(String zjhsImg) {
        this.zjhsImg = zjhsImg;
    }

    public String getHouseOutlinePhoto() {
        return houseOutlinePhoto;
    }

    public void setHouseOutlinePhoto(String houseOutlinePhoto) {
        this.houseOutlinePhoto = houseOutlinePhoto;
    }

    public Date getBirthdayDate() {
        return birthdayDate;
    }

    public void setBirthdayDate(Date birthdayDate) {
        this.birthdayDate = birthdayDate;
    }

    public Date getIcValidityBegin() {
        return icValidityBegin;
    }

    public void setIcValidityBegin(Date icValidityBegin) {
        this.icValidityBegin = icValidityBegin;
    }

    public Date getIcValidityEnd() {
        return icValidityEnd;
    }

    public void setIcValidityEnd(Date icValidityEnd) {
        this.icValidityEnd = icValidityEnd;
    }

    public BigDecimal getRoofArea() {
        return roofArea;
    }

    public void setRoofArea(BigDecimal roofArea) {
        this.roofArea = roofArea;
    }

    public BigDecimal getEwLength() {
        return ewLength;
    }

    public void setEwLength(BigDecimal ewLength) {
        this.ewLength = ewLength;
    }

    public BigDecimal getNsWide() {
        return nsWide;
    }

    public void setNsWide(BigDecimal nsWide) {
        this.nsWide = nsWide;
    }

    public String getVrRoofOne() {
        return vrRoofOne;
    }

    public void setVrRoofOne(String vrRoofOne) {
        this.vrRoofOne = vrRoofOne;
    }

    public String getVrRoofTwo() {
        return vrRoofTwo;
    }

    public void setVrRoofTwo(String vrRoofTwo) {
        this.vrRoofTwo = vrRoofTwo;
    }

    public String getVrRoofThree() {
        return vrRoofThree;
    }

    public void setVrRoofThree(String vrRoofThree) {
        this.vrRoofThree = vrRoofThree;
    }

    public String getVrRoofFour() {
        return vrRoofFour;
    }

    public void setVrRoofFour(String vrRoofFour) {
        this.vrRoofFour = vrRoofFour;
    }

    public String getCompany() {
        return company;
    }

    public void setCompany(String company) {
        this.company = company;
    }

    public String getZfId() {
        return zfId;
    }


    public void setZfId(String zfId) {
        this.zfId = zfId;
    }

    public String getTraderId() {
        return traderId;
    }

    public void setTraderId(String traderId) {
        this.traderId = traderId;
    }

    public String getNbqSn() {
        return nbqSn;
    }

    public void setNbqSn(String nbqSn) {
        this.nbqSn = nbqSn;
    }

    public String getToExamineStatus() {
        return toExamineStatus;
    }

    public void setToExamineStatus(String toExamineStatus) {
        this.toExamineStatus = toExamineStatus;
    }


    public String getEncryptionIdCard() {
        return encryptionIdCard;
    }

    public void setEncryptionIdCard(String encryptionIdCard) {
        this.encryptionIdCard = encryptionIdCard;
    }

    public String getGdtRemarks() {
        return gdtRemarks;
    }

    public void setGdtRemarks(String gdtRemarks) {
        this.gdtRemarks = gdtRemarks;
    }

    //状态 1.待审核 2.审核不通过 3.待下单 4.待收货 5.待安装 6.待并网 7.待验收 8.待支付 9.待归档 a.已完成
    public SurveyEntryReq() {
        super();
        this.status = "1";
		this.schemeType="1";
		this.designCapacity=0;
        this.actualCapacity=BigDecimal.ZERO;
        this.epcPrice = BigDecimal.ZERO;
        this.toExamineStatus="1";
        this.credit="0";
        this.authorization="1";
        this.designAuditFlag = "0";
        this.installFlag = "0";
        this.checkAcceptFlag = "0";
        this.mergeFlag = "0";
        this.onGridFlag = "0";
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getProjectCode() {
        return projectCode;
    }

    public void setProjectCode(String projectCode) {
        this.projectCode = projectCode;
    }

    public String getDistributorId() {
        return distributorId;
    }

    public void setDistributorId(String distributorId) {
        this.distributorId = distributorId;
    }

    public String getTraderName() {
        return traderName;
    }

    public void setTraderName(String traderName) {
        this.traderName = traderName;
    }

    public String getTraderTel() {
        return traderTel;
    }

    public void setTraderTel(String traderTel) {
        this.traderTel = traderTel;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public BigDecimal getLongitude() {
        return longitude;
    }

    public void setLongitude(BigDecimal longitude) {
        this.longitude = longitude;
    }

    public BigDecimal getLatitude() {
        return latitude;
    }

    public void setLatitude(BigDecimal latitude) {
        this.latitude = latitude;
    }

    public String getRoofType() {
        return roofType;
    }

    public void setRoofType(String roofType) {
        this.roofType = roofType;
    }

    public String getAngle() {
        return angle;
    }

    public void setAngle(String angle) {
        this.angle = angle;
    }

    public String getAzimuth() {
        return azimuth;
    }

    public void setAzimuth(String azimuth) {
        this.azimuth = azimuth;
    }

    public BigDecimal getBuildingHeight() {
        return buildingHeight;
    }

    public void setBuildingHeight(BigDecimal buildingHeight) {
        this.buildingHeight = buildingHeight;
    }

    public String getRepaymentMethod() {
        return repaymentMethod;
    }

    public void setRepaymentMethod(String repaymentMethod) {
        this.repaymentMethod = repaymentMethod;
    }

    public BigDecimal getDistance() {
        return distance;
    }

    public void setDistance(BigDecimal distance) {
        this.distance = distance;
    }

    public String getFlyImgs() {
        return flyImgs;
    }

    public void setFlyImgs(String flyImgs) {
        this.flyImgs = flyImgs;
    }

    public String getRoofPhotoOne() {
        return roofPhotoOne;
    }

    public void setRoofPhotoOne(String roofPhotoOne) {
        this.roofPhotoOne = roofPhotoOne;
    }

    public String getRoofPhotoTwo() {
        return roofPhotoTwo;
    }

    public void setRoofPhotoTwo(String roofPhotoTwo) {
        this.roofPhotoTwo = roofPhotoTwo;
    }

    public String getRoofPhotoThree() {
        return roofPhotoThree;
    }

    public void setRoofPhotoThree(String roofPhotoThree) {
        this.roofPhotoThree = roofPhotoThree;
    }

    public String getRoofPhotoFour() {
        return roofPhotoFour;
    }

    public void setRoofPhotoFour(String roofPhotoFour) {
        this.roofPhotoFour = roofPhotoFour;
    }

    public String getRoofPhotoFive() {
        return roofPhotoFive;
    }

    public void setRoofPhotoFive(String roofPhotoFive) {
        this.roofPhotoFive = roofPhotoFive;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getHouseOwnership() {
        return houseOwnership;
    }

    public void setHouseOwnership(String houseOwnership) {
        this.houseOwnership = houseOwnership;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getApplyStatus() {
        return applyStatus;
    }

    public void setApplyStatus(String applyStatus) {
        this.applyStatus = applyStatus;
    }

    public String getSchemeType() {
        return schemeType;
    }

    public void setSchemeType(String schemeType) {
        this.schemeType = schemeType;
    }

    public String getSchemeTypeId() {
        return schemeTypeId;
    }

    public void setSchemeTypeId(String schemeTypeId) {
        this.schemeTypeId = schemeTypeId;
    }

    public String getSchemeTypeName() {
        return schemeTypeName;
    }

    public void setSchemeTypeName(String schemeTypeName) {
        this.schemeTypeName = schemeTypeName;
    }

    public String getSchemeId() {
        return schemeId;
    }

    public void setSchemeId(String schemeId) {
        this.schemeId = schemeId;
    }

    public String getSchemeName() {
        return schemeName;
    }

    public void setSchemeName(String schemeName) {
        this.schemeName = schemeName;
    }

    public String getDesignDrawings() {
        return designDrawings;
    }

    public void setDesignDrawings(String designDrawings) {
        this.designDrawings = designDrawings;
    }

    public String getDesignDrawingsName() {
        return designDrawingsName;
    }

    public void setDesignDrawingsName(String designDrawingsName) {
        this.designDrawingsName = designDrawingsName;
    }

    public String getReceivingReportId() {
        return receivingReportId;
    }

    public void setReceivingReportId(String receivingReportId) {
        this.receivingReportId = receivingReportId;
    }

    public String getStreet() {
        return street;
    }

    public void setStreet(String street) {
        this.street = street;
    }

    public String getComponentSpec() {
        return componentSpec;
    }

    public void setComponentSpec(String componentSpec) {
        this.componentSpec = componentSpec;
    }

    public Integer getDesignCapacity() {
        return designCapacity;
    }

    public void setDesignCapacity(Integer designCapacity) {
        this.designCapacity = designCapacity;
    }

    public BigDecimal getActualCapacity() {
        return actualCapacity;
    }

    public void setActualCapacity(BigDecimal actualCapacity) {
        this.actualCapacity = actualCapacity;
    }

    public String getSchemeRemarks() {
        return schemeRemarks;
    }

    public void setSchemeRemarks(String schemeRemarks) {
        this.schemeRemarks = schemeRemarks;
    }

    public String getProvinceCode() {
        return provinceCode;
    }

    public void setProvinceCode(String provinceCode) {
        this.provinceCode = provinceCode;
    }

    public String getPartnerId() {
        return partnerId;
    }

    public void setPartnerId(String partnerId) {
        this.partnerId = partnerId;
    }

    public String getPartnerName() {
        return partnerName;
    }

    public void setPartnerName(String partnerName) {
        this.partnerName = partnerName;
    }

    public String getManagementType() {
        return managementType;
    }

    public void setManagementType(String managementType) {
        this.managementType = managementType;
    }

    public String getCredit() {
        return credit;
    }

    public void setCredit(String credit) {
        this.credit = credit;
    }

    public String getAuthorization() {
        return authorization;
    }

    public void setAuthorization(String authorization) {
        this.authorization = authorization;
    }

    public String getCreditDsc() {
        return creditDsc;
    }

    public void setCreditDsc(String creditDsc) {
        this.creditDsc = creditDsc;
    }

    public String getFirstApplyStatus() {
        return firstApplyStatus;
    }

    public void setFirstApplyStatus(String firstApplyStatus) {
        this.firstApplyStatus = firstApplyStatus;
    }

    public String getNextApplyStatus() {
        return nextApplyStatus;
    }

    public void setNextApplyStatus(String nextApplyStatus) {
        this.nextApplyStatus = nextApplyStatus;
    }

    public String getApplyBackReason() {
        return applyBackReason;
    }

    public void setApplyBackReason(String applyBackReason) {
        this.applyBackReason = applyBackReason;
    }

    public BigDecimal getEpcPrice() {
        return epcPrice;
    }

    public void setEpcPrice(BigDecimal epcPrice) {
        this.epcPrice = epcPrice;
    }

    public String getProjectCompanyId() {
        return projectCompanyId;
    }

    public void setProjectCompanyId(String projectCompanyId) {
        this.projectCompanyId = projectCompanyId;
    }

    public String getProjectCompanyName() {
        return projectCompanyName;
    }

    public void setProjectCompanyName(String projectCompanyName) {
        this.projectCompanyName = projectCompanyName;
    }

    public String getProductLineId() {
        return productLineId;
    }

    public void setProductLineId(String productLineId) {
        this.productLineId = productLineId;
    }

    public String getProductLineName() {
        return productLineName;
    }

    public void setProductLineName(String productLineName) {
        this.productLineName = productLineName;
    }

    public String getProductLine() {
        return productLine;
    }

    public void setProductLine(String productLine) {
        this.productLine = productLine;
    }

    public String getPayCycle() {
        return payCycle;
    }

    public void setPayCycle(String payCycle) {
        this.payCycle = payCycle;
    }

    public String getSignStatus() {
        return signStatus;
    }

    public void setSignStatus(String signStatus) {
        this.signStatus = signStatus;
    }

    public String getSn() {
        return sn;
    }

    public void setSn(String sn) {
        this.sn = sn;
    }

    public BigDecimal getEtd() {
        return etd;
    }

    public void setEtd(BigDecimal etd) {
        this.etd = etd;
    }

    public BigDecimal getEto() {
        return eto;
    }

    public void setEto(BigDecimal eto) {
        this.eto = eto;
    }

    public BigDecimal getEtdc() {
        return etdc;
    }

    public void setEtdc(BigDecimal etdc) {
        this.etdc = etdc;
    }

    public BigDecimal getEtoc() {
        return etoc;
    }

    public void setEtoc(BigDecimal etoc) {
        this.etoc = etoc;
    }

    public String getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(String warehouseId) {
        this.warehouseId = warehouseId;
    }

    public String getRoofPhotoFacade() {
        return roofPhotoFacade;
    }

    public void setRoofPhotoFacade(String roofPhotoFacade) {
        this.roofPhotoFacade = roofPhotoFacade;
    }

    public String getRoofPhotoInterior() {
        return roofPhotoInterior;
    }

    public void setRoofPhotoInterior(String roofPhotoInterior) {
        this.roofPhotoInterior = roofPhotoInterior;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    public String getCreateTraderId() {
        return createTraderId;
    }

    public void setCreateTraderId(String createTraderId) {
        this.createTraderId = createTraderId;
    }

    public String getCreateTraderName() {
        return createTraderName;
    }

    public void setCreateTraderName(String createTraderName) {
        this.createTraderName = createTraderName;
    }

    public String getHouseSupplementOne() {
        return houseSupplementOne;
    }

    public void setHouseSupplementOne(String houseSupplementOne) {
        this.houseSupplementOne = houseSupplementOne;
    }

    public String getDetailSupplementOne() {
        return detailSupplementOne;
    }

    public void setDetailSupplementOne(String detailSupplementOne) {
        this.detailSupplementOne = detailSupplementOne;
    }

    public String getDesignAuditFlag() {
        return designAuditFlag;
    }

    public void setDesignAuditFlag(String designAuditFlag) {
        this.designAuditFlag = designAuditFlag;
    }

    public String getInstallFlag() {
        return installFlag;
    }

    public void setInstallFlag(String installFlag) {
        this.installFlag = installFlag;
    }

    public String getCheckAcceptFlag() {
        return checkAcceptFlag;
    }

    public void setCheckAcceptFlag(String checkAcceptFlag) {
        this.checkAcceptFlag = checkAcceptFlag;
    }

    public String getMergeFlag() {
        return mergeFlag;
    }

    public void setMergeFlag(String mergeFlag) {
        this.mergeFlag = mergeFlag;
    }

    public String getTenantType() {
        return tenantType;
    }

    public void setTenantType(String tenantType) {
        this.tenantType = tenantType;
    }

    public String getCorp() {
        return corp;
    }

    public void setCorp(String corp) {
        this.corp = corp;
    }

    public String getRegno() {
        return regno;
    }

    public void setRegno(String regno) {
        this.regno = regno;
    }

    public String getRegnoUrl() {
        return regnoUrl;
    }

    public void setRegnoUrl(String regnoUrl) {
        this.regnoUrl = regnoUrl;
    }

    public BigDecimal getVoltageClasses() {
        return voltageClasses;
    }

    public void setVoltageClasses(BigDecimal voltageClasses) {
        this.voltageClasses = voltageClasses;
    }

    public BigDecimal getTransformerCapacity() {
        return transformerCapacity;
    }

    public void setTransformerCapacity(BigDecimal transformerCapacity) {
        this.transformerCapacity = transformerCapacity;
    }

    public String getRestrictFlag() {
        return restrictFlag;
    }

    public void setRestrictFlag(String restrictFlag) {
        this.restrictFlag = restrictFlag;
    }

    public String getSealRoof() {
        return sealRoof;
    }

    public void setSealRoof(String sealRoof) {
        this.sealRoof = sealRoof;
    }

    public String getCompletionYear() {
        return completionYear;
    }

    public void setCompletionYear(String completionYear) {
        this.completionYear = completionYear;
    }

    public BigDecimal getDipAngle() {
        return dipAngle;
    }

    public void setDipAngle(BigDecimal dipAngle) {
        this.dipAngle = dipAngle;
    }

    public BigDecimal getSlopeGradient() {
        return slopeGradient;
    }

    public void setSlopeGradient(BigDecimal slopeGradient) {
        this.slopeGradient = slopeGradient;
    }

    public BigDecimal getPurlineInterval() {
        return purlineInterval;
    }

    public void setPurlineInterval(BigDecimal purlineInterval) {
        this.purlineInterval = purlineInterval;
    }

    public String getWaterproof() {
        return waterproof;
    }

    public void setWaterproof(String waterproof) {
        this.waterproof = waterproof;
    }

    public String getSourcePollution() {
        return sourcePollution;
    }

    public void setSourcePollution(String sourcePollution) {
        this.sourcePollution = sourcePollution;
    }

    public String getOpsCondition() {
        return opsCondition;
    }

    public void setOpsCondition(String opsCondition) {
        this.opsCondition = opsCondition;
    }

    public List<ComposePlan> getComposePlanLists() {
        return composePlanLists;
    }

    public void setComposePlanLists(List<ComposePlan> composePlanLists) {
        this.composePlanLists = composePlanLists;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDzImgs() {
        return dzImgs;
    }

    public void setDzImgs(String dzImgs) {
        this.dzImgs = dzImgs;
    }

    public String getSurveyVideo() {
        return surveyVideo;
    }

    public void setSurveyVideo(String surveyVideo) {
        this.surveyVideo = surveyVideo;
    }

    public String getSurveyFiles() {
        return surveyFiles;
    }

    public void setSurveyFiles(String surveyFiles) {
        this.surveyFiles = surveyFiles;
    }

    public List<CustomerEntryComponentVo> getItemList() {
        return itemList;
    }

    public void setItemList(List<CustomerEntryComponentVo> itemList) {
        this.itemList = itemList;
    }

    public String getFilingType() {
        return filingType;
    }

    public void setFilingType(String filingType) {
        this.filingType = filingType;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getInsuranceFlag() {
        return insuranceFlag;
    }

    public void setInsuranceFlag(String insuranceFlag) {
        this.insuranceFlag = insuranceFlag;
    }

    public Date getLeaseDate() {
        return leaseDate;
    }

    public void setLeaseDate(Date leaseDate) {
        this.leaseDate = leaseDate;
    }

    @Override
    public String toString() {
        return "SurveyEntryReq{" +
                "id='" + id + '\'' +
                ", userId='" + userId + '\'' +
                ", projectId='" + projectId + '\'' +
                ", projectName='" + projectName + '\'' +
                ", projectCode='" + projectCode + '\'' +
                ", distributorId='" + distributorId + '\'' +
                ", traderName='" + traderName + '\'' +
                ", traderTel='" + traderTel + '\'' +
                ", province='" + province + '\'' +
                ", city='" + city + '\'' +
                ", area='" + area + '\'' +
                ", address='" + address + '\'' +
                ", street='" + street + '\'' +
                ", longitude=" + longitude +
                ", latitude=" + latitude +
                ", roofType='" + roofType + '\'' +
                ", angle='" + angle + '\'' +
                ", azimuth='" + azimuth + '\'' +
                ", buildingHeight=" + buildingHeight +
                ", repaymentMethod='" + repaymentMethod + '\'' +
                ", distance=" + distance +
                ", flyImgs='" + flyImgs + '\'' +
                ", roofPhotoOne='" + roofPhotoOne + '\'' +
                ", roofPhotoTwo='" + roofPhotoTwo + '\'' +
                ", roofPhotoThree='" + roofPhotoThree + '\'' +
                ", roofPhotoFour='" + roofPhotoFour + '\'' +
                ", roofPhotoFive='" + roofPhotoFive + '\'' +
                ", remarks='" + remarks + '\'' +
                ", houseOwnership='" + houseOwnership + '\'' +
                ", encryptionIdCard='" + encryptionIdCard + '\'' +
                ", status='" + status + '\'' +
                ", toExamineStatus='" + toExamineStatus + '\'' +
                ", applyStatus='" + applyStatus + '\'' +
                ", schemeType='" + schemeType + '\'' +
                ", schemeTypeId='" + schemeTypeId + '\'' +
                ", schemeTypeName='" + schemeTypeName + '\'' +
                ", schemeId='" + schemeId + '\'' +
                ", schemeName='" + schemeName + '\'' +
                ", designDrawings='" + designDrawings + '\'' +
                ", designDrawingsName='" + designDrawingsName + '\'' +
                ", receivingReportId='" + receivingReportId + '\'' +
                ", componentSpec='" + componentSpec + '\'' +
                ", designCapacity=" + designCapacity +
                ", actualCapacity=" + actualCapacity +
                ", insuranceFlag='" + insuranceFlag + '\'' +
                ", leaseDate=" + leaseDate +
                ", schemeRemarks='" + schemeRemarks + '\'' +
                ", provinceCode='" + provinceCode + '\'' +
                ", partnerId='" + partnerId + '\'' +
                ", partnerName='" + partnerName + '\'' +
                ", managementType='" + managementType + '\'' +
                ", credit='" + credit + '\'' +
                ", authorization='" + authorization + '\'' +
                ", creditDsc='" + creditDsc + '\'' +
                ", firstApplyStatus='" + firstApplyStatus + '\'' +
                ", nextApplyStatus='" + nextApplyStatus + '\'' +
                ", applyBackReason='" + applyBackReason + '\'' +
                ", regionId='" + regionId + '\'' +
                ", epcPrice=" + epcPrice +
                ", projectCompanyId='" + projectCompanyId + '\'' +
                ", projectCompanyName='" + projectCompanyName + '\'' +
                ", productLineId='" + productLineId + '\'' +
                ", productLineName='" + productLineName + '\'' +
                ", productLine='" + productLine + '\'' +
                ", payCycle='" + payCycle + '\'' +
                ", signStatus='" + signStatus + '\'' +
                ", sn='" + sn + '\'' +
                ", nbqSn='" + nbqSn + '\'' +
                ", etd=" + etd +
                ", eto=" + eto +
                ", etdc=" + etdc +
                ", etoc=" + etoc +
                ", warehouseId='" + warehouseId + '\'' +
                ", gdtRemarks='" + gdtRemarks + '\'' +
                ", roofPhotoFacade='" + roofPhotoFacade + '\'' +
                ", roofPhotoInterior='" + roofPhotoInterior + '\'' +
                ", gender='" + gender + '\'' +
                ", age=" + age +
                ", filingType='" + filingType + '\'' +
                ", createTraderId='" + createTraderId + '\'' +
                ", createTraderName='" + createTraderName + '\'' +
                ", houseSupplementOne='" + houseSupplementOne + '\'' +
                ", detailSupplementOne='" + detailSupplementOne + '\'' +
                ", designAuditFlag='" + designAuditFlag + '\'' +
                ", installFlag='" + installFlag + '\'' +
                ", checkAcceptFlag='" + checkAcceptFlag + '\'' +
                ", mergeFlag='" + mergeFlag + '\'' +
                ", onGridFlag='" + onGridFlag + '\'' +
                ", tenantType='" + tenantType + '\'' +
                ", corp='" + corp + '\'' +
                ", regno='" + regno + '\'' +
                ", regnoUrl='" + regnoUrl + '\'' +
                ", voltageClasses=" + voltageClasses +
                ", transformerCapacity=" + transformerCapacity +
                ", restrictFlag='" + restrictFlag + '\'' +
                ", sealRoof='" + sealRoof + '\'' +
                ", completionYear='" + completionYear + '\'' +
                ", dipAngle=" + dipAngle +
                ", slopeGradient=" + slopeGradient +
                ", purlineInterval=" + purlineInterval +
                ", waterproof='" + waterproof + '\'' +
                ", sourcePollution='" + sourcePollution + '\'' +
                ", opsCondition='" + opsCondition + '\'' +
                ", composePlanLists=" + composePlanLists +
                ", type='" + type + '\'' +
                ", dzImgs='" + dzImgs + '\'' +
                ", surveyVideo='" + surveyVideo + '\'' +
                ", surveyFiles='" + surveyFiles + '\'' +
                ", traderId='" + traderId + '\'' +
                ", zfId='" + zfId + '\'' +
                ", company='" + company + '\'' +
                ", itemList=" + itemList +
                '}';
    }
}
